# To recompile run this script or with:
# mkimage -C none -A arm -T script -d boot.cmd boot.scr

setenv ramdisk initrd.img-5.4.67
setenv kernel  vmlinux-5.4.67
setenv fdtfile unipi-g1.dtb

usb stop
sleep 1
test "${loading_mmc}" = "" && setenv loading_mmc ${devnum}:${distro_bootpart}

load mmc ${loading_mmc} ${kernel_addr_r} ${prefix}/${kernel}
load mmc ${loading_mmc} ${ramdisk_addr_r} ${prefix}/${ramdisk}
setenv ramdisk_size 2000000
load mmc ${loading_mmc} ${fdt_addr_r} ${prefix}/${fdtfile}
fdt addr ${fdt_addr_r}
fdt resize

setenv bootargs root=/dev/ram0 console=ttyS2,115200 ${extra}

booti ${kernel_addr_r} ${ramdisk_addr_r}:${ramdisk_size} ${fdt_addr_r}
